#include <unistd.h>
#include <qapplication.h>
#include "programinfo.h"
#include "tv.h"
#include "libmyth/mythcontext.h"

extern "C" {
    int internal_media_init();
    int internal_play_media(const char* mrl);

    int internal_media_init() {
	REG_MEDIAPLAYER( "Internal", "MythTV's native media player.", internal_play_media);
	return 0;
    }
    
    int internal_play_media(const char* mrl) {
	int res = -1;
	QSqlDatabase *db = QSqlDatabase::database();
	TV *tv = new TV(db);
	tv->Init();
	ProgramInfo *pginfo = new ProgramInfo();
	pginfo->endts = QDateTime::currentDateTime().addSecs(-180);
	pginfo->pathname = mrl;
	if (tv->Playback(pginfo)) {
	    while (tv->GetState() != kState_None) {
		qApp->unlock();
		qApp->processEvents();
		usleep(50);
		qApp->lock();
	    }	
	   res = 0;
	}

	delete tv;
	return res;
    }

}
